Bug 1725775 - Replace screen requirement with tmux
Summary: Replace screen requirement with tmux
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-host
Version: 4.4.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ovirt-4.4.0
: 4.4.0
Assignee: Sandro Bonazzola
QA Contact: Nikolai Sednev
URL:
Whiteboard:
Depends On:
Blocks: RHV-H_4.4_RHEL_8 1701540 1725777 1725779
TreeView+ depends on / blocked
 
Reported: 2019-07-01 12:45 UTC by Sandro Bonazzola
Modified: 2020-11-05 06:58 UTC (History)
12 users (show)

Fixed In Version: ovirt-host-4.4.0-0.2.alpha
Doc Type: Removed functionality
Doc Text:
Previously, the `screen` package was deprecated in RHEL 7.6. With this update to RHEL 8-based hosts, the `screen` package is removed. The current release installs the `tmux` package on RHEL 8-based hosts instead of `screen`.
Clone Of:
Environment:
Last Closed: 2020-08-04 13:27:06 UTC
oVirt Team: Integration
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2020:3246 0 None None None 2020-08-04 13:27:38 UTC
oVirt gerrit 101396 0 'None' MERGED spec: replace screen with tmux 2020-11-04 07:41:16 UTC

Description Sandro Bonazzola 2019-07-01 12:45:32 UTC
ovirt-host requires screen package which has been deprecated in RHEL 7.6 and removed in RHEL 8 (https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/7.6_release_notes/chap-red_hat_enterprise_linux-7.6_release_notes-deprecated_packages)

Separate bug will be open for Hosted Engine to fix runtime documentation currently pointing to screen to point to tmux and online documentation accordingly.

Comment 5 Nikolai Sednev 2020-04-01 15:23:20 UTC
alma04 ~]# rpm -qa |grep screen
[root@alma04 ~]# rpm -qa |grep tmux
tmux-2.7-1.el8.x86_64

Tested on host with these components:
rhvm-appliance.x86_64 2:4.4-20200326.0.el8ev
ovirt-hosted-engine-setup-2.4.4-1.el8ev.noarch
ovirt-hosted-engine-ha-2.4.2-1.el8ev.noarch
Red Hat Enterprise Linux release 8.2 Beta (Ootpa)
Linux 4.18.0-193.el8.x86_64 #1 SMP Fri Mar 27 14:35:58 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

Engine:
ovirt-engine-setup-base-4.4.0-0.26.master.el8ev.noarch
ovirt-engine-4.4.0-0.26.master.el8ev.noarch
openvswitch2.11-2.11.0-48.el8fdp.x86_64
Linux 4.18.0-192.el8.x86_64 #1 SMP Tue Mar 24 14:06:40 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
Red Hat Enterprise Linux release 8.2 Beta (Ootpa)

Comment 6 Nikolai Sednev 2020-04-01 15:26:14 UTC
alma04 ~]# yum deplist ovirt-host | grep tmux
Last metadata expiration check: 1:40:18 ago on Wed 01 Apr 2020 04:45:24 PM IDT.
  dependency: tmux
   provider: tmux-2.7-1.el8.x86_64
  dependency: tmux
   provider: tmux-2.7-1.el8.x86_64
alma04 ~]# yum deplist ovirt-host | grep screen
Last metadata expiration check: 1:40:36 ago on Wed 01 Apr 2020 04:45:24 PM IDT.
[root@alma04 ~]#

Comment 10 errata-xmlrpc 2020-08-04 13:27:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (RHV RHEL Host (ovirt-host) 4.4), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2020:3246


Note You need to log in before you can comment on or make changes to this bug.